#
# spec file for package gtk-xfce-engine
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtk-xfce-engine
Version:        3.2.0
Release:        lp151.2.3
Summary:        Xfce GTK+-2.0 Theme Engine
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/gtk-xfce-engine/3.2/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  fdupes
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Xfce GTK theme engine provides various different themes which allow
for homogeneity in applications for both business and personal desktops.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS COPYING ChangeLog
%{_libdir}/gtk-2.0/
%{_datadir}/themes/*

%changelog
* Sat Feb 28 2015 gber@opensuse.org
- update to version 3.2.0
  - add new theme Xfce-flat
  - fix invalid free on theme parse error
* Thu Feb 19 2015 gber@opensuse.org
- update to version 3.1.0
  - added default colors to xfce basic theme
  - fix uinitialized value (bxo#10877)
  - support trough-side-details
  - added flat_border and focus_color style properties
  - more rendering improvements
  - Gtk+-3 support has been stopped
- dropped obsolete gtk-xfce-engine-fix-memory-leak.patch
* Fri Aug 24 2012 gber@opensuse.org
- added gtk-xfce-engine-fix-memory-leak.patch which fixes a memory
  leak in the cairo drawing code (bnc#771292)
* Sat Apr 28 2012 gber@opensuse.org
- update to version 3.0.0
  - added px for border sizes
  - corrected DETAIL names
  - use the correct colors for options and checks
  - more consistent extension rendering
  - corrected class matching and alignments
  - require Gtk 3.2
  - tuned default theme for Gtk 3.2
  - added Gtk 3.4 support to the engine
  - default themes don't support Gtk+-3.4
* Sat Apr 14 2012 gber@opensuse.org
- update to version 2.99.3
  - link against libm for floor() and ceil()
  - reduce GtkComboBox padding
* Sun Apr  8 2012 gber@opensuse.org
- update to version 2.99.2
  - improved menu theming
  - theme gtk-tooltip
  - scale radio and check boxes
  - draw inset border around default button
  - changed rendering of GtkSpinButton
  - pixel align checkboxes in the Gtk+-3.0 engine
  - link against libm (bug #6253)
  - added Gtk+-3.0 theming engine
  - changed drawing routines to use cairo
* Sat Mar 31 2012 gber@opensuse.org
- specfile cleanup
* Tue Mar  8 2011 gber@opensuse.org
- update to version 2.8.1
  - bugfixes
* Mon Jan 17 2011 gber@opensuse.org
- do not build static library
- update to version 2.8.0
  - changed active window decoration color
  - bugfixes
* Thu Dec 23 2010 gber@opensuse.org
- removed explicit dependencies on gtk2 and glib2
- improved summary/description
* Wed Dec  1 2010 prusnak@opensuse.org
- use pkgconfig symbol in BuildRequires
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 2.6.0 (Xfce 4.6.0 release)
  * Fix bg color being shown under group box title (Bug #1018)
  * Remove README.html files (Bug #3280)
  * Update WM colors to match the new xfwm4 decoration theme
  * Much compact version of the default theme.
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164)
* Wed Oct 29 2008 bwalle@suse.de
- update to 4.2.3 (Xfce 4.4.3)
  o bug fixes
* Mon Dec  3 2007 bwalle@suse.de
- update to 2.4.2 (Xfce 4.4.2)
  o Don't include the iconrc file in gtkrc.
* Mon Nov 12 2007 prusnak@suse.cz
- do not package INSTALL file
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
* Tue Apr 10 2007 bwalle@suse.de
- update to 4.4.1 (no upstream changelog for this subpackage)
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 2.4.0
* Wed Jan 17 2007 pnemec@suse.cz
- merged back from BuildService into factory
* Sat Nov  4 2006 bwalle@suse.de
- updated to 2.3.99.2 (2.4 rc2)
* Mon Sep  4 2006 pnemec@suse.cz
- updated to new version 2.3.99.1
* Wed Aug 23 2006 pnemec@suse.cz
- added dbus-devel to build requires
* Tue Aug  1 2006 pnemec@suse.cz
- initial comment, version is 2.3.90.2
- package moved into BuildService
- no patch needed
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- update to 2.2.8
* Wed Sep 14 2005 cthiel@suse.de
- specfile cleanup
* Mon Aug  1 2005 cthiel@suse.de
- added Requires
* Wed May 18 2005 cthiel@suse.de
- update to 2.2.7
* Mon Apr 11 2005 cthiel@suse.de
- update to 2.2.6
* Wed May 12 2004 ltinkl@suse.cz
- initial version
